/* eslint-disable max-len */
import React, { SVGProps } from "react";

export const ActionIcon = ({ ...restProps }: SVGProps<SVGSVGElement>) => (
    <svg xmlns="http://www.w3.org/2000/svg" width={12} height={13} fill="none" {...restProps}>
        <path
            fill="#707D99"
            d="M7.547 6.781c.21.07.445.094.703.094a2.612 2.612 0 0 0 2.602-2.531l-.586.61a1.469 1.469 0 0 1-1.055.421h-.586a1.48 1.48 0 0 1-1.5-1.5v-.586c0-.398.14-.773.422-1.055l.61-.586A2.612 2.612 0 0 0 5.624 4.25c0 .258.023.492.094.703.093.399-.024.82-.305 1.102l-4.078 4.078a.73.73 0 0 0 1.031 1.031l4.078-4.078a1.182 1.182 0 0 1 1.102-.305Zm2.39-5.343L8.345 3.03a.352.352 0 0 0-.094.258v.586c0 .21.164.375.375.375h.586a.352.352 0 0 0 .258-.094l1.594-1.593a.354.354 0 0 1 .562.07c.234.492.375 1.054.375 1.617A3.746 3.746 0 0 1 8.25 8c-.352 0-.68-.047-1.008-.117L3.164 11.96c-.352.351-.82.539-1.312.539A1.84 1.84 0 0 1 0 10.648c0-.492.188-.96.54-1.312l4.077-4.078A4.743 4.743 0 0 1 4.5 4.25 3.746 3.746 0 0 1 8.25.5c.563 0 1.125.14 1.617.375.211.117.235.398.07.563Zm-7.874 8.624c.187 0 .374.188.374.376 0 .21-.187.374-.374.374a.37.37 0 0 1-.376-.374c0-.188.165-.376.375-.376Z"
        />
    </svg>
);
